Passer au contenu principal
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
Utilisez le queue_id renvoyé par /audio/queue pour vérifier l’état de la génération. Lorsque la requête est terminée, cet endpoint renvoie les données audio générées.

Collection Postman

Pour des exemples supplémentaires, veuillez consulter cette collection Postman.

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

application/json
model
string
requis

The ID of the model used for audio generation.

Exemple:

"elevenlabs-music"

queue_id
string
requis

The ID of the audio generation request. Use this to poll for status and retrieve the result.

Exemple:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
défaut:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

Exemple:

false

Réponse

Audio generation status or completed audio

status
enum<string>
requis

The status of the audio generation request.

Options disponibles:
PROCESSING
Exemple:

"PROCESSING"

average_execution_time
number
requis

The estimated execution time of the audio generation request in milliseconds (P80).

Exemple:

20000

execution_duration
number
requis

The current duration of the audio generation request in milliseconds.

Exemple:

5200